@mixin make-filters($s) {
    #{$s}filter- {
        &greyscale{
            filter: grayscale(1);
        }
        &greyscale-none{
            filter: grayscale(0);
        }

        &blur{
            filter: blur(1px);
            
            &-none{
                filter: blur(0px);
            }
            &-4{
                filter: blur(4px);
            }
            &-8{
                filter: blur(8px);
            }
            &-12{
                filter: blur(12px);
            }
            &-16{
                filter: blur(16px);
            }
            &-20{
                filter: blur(20px);
            }
            &-24{
                filter: blur(24px);
            }
            &-28{
                filter: blur(28px);
            }
            &-32{
                filter: blur(32px);
            }
        }

        &backdrop-blur {     
            backdrop-filter: blur(1px);
            
            &-none{
                backdrop-filter: blur(0px);
            }
            &-4{
                backdrop-filter: blur(4px);
            }
            &-8{
                backdrop-filter: blur(8px);
            }
            &-12{
                backdrop-filter: blur(12px);
            }
            &-16{
                backdrop-filter: blur(16px);
            }
            &-20{
                backdrop-filter: blur(20px);
            }
            &-24{
                backdrop-filter: blur(24px);
            }
            &-28{
                backdrop-filter: blur(28px);
            }
            &-32{
                backdrop-filter: blur(32px);
            }
        }
    }
}